Bug 657956 - /usr/sbin/rhn-proxy - option "condrestart" does not work.
/usr/sbin/rhn-proxy - option "condrestart" does not work.
Status: CLOSED ERRATA
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-11-28 17:15 EST by Dimitar Yordanov
Modified: 2016-07-03 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The 'wrd_services' function for the 'condrestart' option was not available. With this update, the option is available and works as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 09:59:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2010-11-28 17:15:32 EST
Description of problem:
The corresponding function "wrd_services" for option "condrestart" is missing. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RHN Proxy 5.4
2. /usr/sbin/rhn-proxy condrestart
  
Actual results:
/usr/sbin/rhn-proxy: line 75: wrd_services: command not found

Expected results:
Doing somethong

Additional info:
#  /usr/sbin/rhn-proxy 
Usage: rhn-proxy {start|stop|status|restart|condrestart}

#  /usr/sbin/rhn-proxy condrestart
/usr/sbin/rhn-proxy: line 75: wrd_services: command not found
Comment 1 Miroslav Suchý 2010-11-29 08:08:32 EST
fixed in spacewalk.git, commit bfd2dd3955b67b7deb91f0b0f37dad1cc0359bf2
Comment 2 Miroslav Suchý 2010-12-02 10:17:15 EST
cherry-picked to satellite.git as commit 529191e11d1fa4be762188e96b5377518d73e5c4
Comment 5 Eva Kopalova 2010-12-15 10:12:36 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The 'wrd_services' function for the 'condrestart' option was not available. With this update, the option is available and works as expected.
Comment 7 errata-xmlrpc 2010-12-16 09:59:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0990.html

Note You need to log in before you can comment on or make changes to this bug.